petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscBarrier

Blocks until this routine is executed by all processors owning the object obj.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscBarrier(PetscObject obj)

### Input Parameters

obj -PETSc object (Mat, Vec, IS, SNES etc...) The object be caste with a (PetscObject). NULL can be used to indicate the barrier should be across MPI_COMM_WORLD

### Notes

This routine calls MPI_Barrier with the communicator of the PETSc Object obj

### Fortran Usage

You may pass PETSC_NULL_VEC or any other PETSc null object, such as PETSC_NULL_MAT, to indicate the barrier should be across MPI_COMM_WORLD. You can also pass in any PETSc object, Vec, Mat, etc

### Level

intermediate

### Location

src/sys/utils/pbarrier.c

### Examples

src/snes/examples/tutorials/ex77.c.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages